Subject: bug#55709: R texinfo documents are not showing up for me

From: Kyle Andrews <[email-masked]>
Date: Thu, 02 Jun 2022 00:42:45 +0000

Thanks for looking into this!

Ludovic Courtès <[email-masked]> writes:

> Hi Kyle,
>
> Kyle Andrews <[email-masked]> skribis:
>
>> I tried with both info-reader and emacs. The former (your command)
>> worked (yay!), while the latter (see below) errored out: saying emacs
>> could not be found. 
>>
>>   guix shell r emacs -- emacs
>>   # /gnu/store/rg8f1jd773n2l78p24m1gds3dmvcgkjq-profile/bin/emacs: error while loading shared libraries: /gnu/store/vncwfb53kbnyflyc1jyd2xv9sifpw202-gtk+-3.24.30/lib/libgdk-3.so.0: file too short
>
> Could you type “unset LD_LIBRARY_PATH” before this command, to be on the
> safe side?  Does it make a difference?

I tried unsetting LD_LIBRARY_PATH and it made no difference.

> If not, what does this say:
>
>   du -L /gnu/store/vncwfb53kbnyflyc1jyd2xv9sifpw202-gtk+-3.24.30/lib/libgdk-3.so.0
>
> Here I get:
>
>   1044    /gnu/store/vncwfb53kbnyflyc1jyd2xv9sifpw202-gtk+-3.24.30/lib/libgdk-3.so.0
>
> Thanks,
> Ludo’.

For me it gave:

0       /gnu/store/vncwfb53kbnyflyc1jyd2xv9sifpw202-gtk+-3.24.30/lib/libgdk-3.so.0

Does this mean I have some store corruption as Maxime suggested?

Thanks,
Kyle